import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-bulletin-details',
  templateUrl: './bulletin-details.component.html',
  styleUrls: ['./bulletin-details.component.scss']
})
export class BulletinDetailsComponent implements OnInit {
  is_modal_visible: boolean = false;
  is_modal_visible_chat: boolean = false;
  screen_callback: any;
  assessment_id: number;
  content_data: any;
  constructor() {}

  ngOnInit() {}

  public showcontentrModal(url: string = "", data: any = {}, callBack: any = null) {
      this.is_modal_visible = true;
      this.content_data = data; 
      this.screen_callback = callBack;
  }

  public showcontentrModalchat(url: string = "", data: any = {}, callBack: any = null) {
    this.is_modal_visible_chat = true;
    this.content_data = data; 
    this.screen_callback = callBack;
}

  onCloseModal(type) {
      this.is_modal_visible = false;
      this.screen_callback(true);
  }

}